Last modified: 2014-03-26 18:50:50 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19415 - Suppress section edit links with action=render
Suppress section edit links with action=render
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
1.16.x
All All
: Low enhancement (vote)
: 1.23.0 release
Assigned To: Max Semenik
:
Depends on:
Blocks: editlinks 61807
  Show dependency treegraph
 
Reported: 2009-06-27 08:03 UTC by Daniel Kinzler
Modified: 2014-03-26 18:50 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Daniel Kinzler 2009-06-27 08:03:13 UTC
action=render is often used to pull the rendered html of an article for inclusion in a different context. more often than not, edit links are not desired in that context. So it would be nice if they could be disabled.
Comment 1 John Mark Vandenberg 2013-10-23 05:32:17 UTC
action=render is now emitting '[edit source | edit]'

https://en.wikipedia.org/wiki/Entomophagy?action=render

There are ~400,000 (BIG NUMBER ALERT) action=render entries in Google Results

https://www.google.com.au/search?q=inurl:action%3Drender%E2%80%8E+site%3Aen.wikipedia.org

As VE does not work unless the user is logged on, and has VE enabled in their prefs (Bug 55900), the 'edit' link to VE will be inoperative for most people who chance upon an action=render link.
Comment 2 Gerrit Notification Bot 2013-11-07 16:28:35 UTC
Change 94150 had a related patch set uploaded by Bartosz Dziewoński:
Suppress section edit links with action=render

https://gerrit.wikimedia.org/r/94150
Comment 3 Gerrit Notification Bot 2013-11-12 17:31:15 UTC
Change 94150 merged by jenkins-bot:
Suppress section edit links with action=render

https://gerrit.wikimedia.org/r/94150
Comment 4 Bartosz Dziewoński 2013-11-12 18:40:25 UTC
Yay, merged!

Also, a note: among other things this affects file description pages imported from a remove repository (I think both with Wikimedia setup with Commons, and with $wgUseInstantCommons) – they would previously show silly section edit links pointing to nowhere if the page had any headings, now they won't. It might also affect things like scary transclusion of pages.
Comment 5 Bartosz Dziewoński 2013-11-12 19:38:04 UTC
Expanded release notes per above in https://gerrit.wikimedia.org/r/#/c/94963/.
Comment 6 Bartosz Dziewoński 2013-11-22 16:04:29 UTC
Reverted by Brad in Ie65e3de8, caused section edit links to be shown on views of old revisions.

The bug was also spotted on VPT: https://en.wikipedia.org/w/index.php?oldid=582829813#Section_edit_links_are_appearing_on_diffs
Comment 7 Andre Klapper 2014-03-02 19:19:49 UTC
Matma Rex: Do you plan to rework this, or should the 1.23.x TM be removed?
Comment 8 Bartosz Dziewoński 2014-03-04 13:31:28 UTC
I probably won't do it soon, sorry.

But thanks for reminding me about this, as I realized that bug 62071 is probably a duplicate :)
Comment 9 Helder 2014-03-11 21:40:39 UTC
On the other hand, these links are desired on cases like this:
https://pt.wikipedia.org/wiki/MediaWiki:Gadget-PagesForDeletion.js/Core.js
https://pt.wikipedia.org/wiki/WP:PE/L
(this is the core part of the current AfD workflow on ptwiki)
Comment 10 PiRSquared17 2014-03-11 21:44:56 UTC
Is this supposed to be fixed for 1.16?
Comment 11 Gerrit Notification Bot 2014-03-12 18:27:03 UTC
Change 118135 had a related patch set uploaded by Jdlrobson:
Suppress section edit links with action=render

https://gerrit.wikimedia.org/r/118135
Comment 12 Jon 2014-03-19 18:24:56 UTC
If we enabled/disabled this via a parameter would this be sufficient? Could those gadgets be altered to make use of that parameter?
Comment 13 Helder 2014-03-19 18:37:31 UTC
Yes, a parameter would be sufficient.
Comment 14 Gerrit Notification Bot 2014-03-26 18:23:04 UTC
Change 118135 merged by jenkins-bot:
Suppress section edit links with action=render

https://gerrit.wikimedia.org/r/118135
Comment 15 Bartosz Dziewoński 2014-03-26 18:47:52 UTC
I suppose this is fixed again, then. Thanks!
Comment 16 Bawolff (Brian Wolff) 2014-03-26 18:50:50 UTC
(In reply to Bartosz Dziewoński from comment #4)
> Yay, merged!
> 
> Also, a note: among other things this affects file description pages
> imported from a remove repository (I think both with Wikimedia setup with
> Commons, and with $wgUseInstantCommons) – they would previously show silly
> section edit links pointing to nowhere if the page had any headings, now
> they won't. It might also affect things like scary transclusion of pages.

Not really pointing to nowhere, they actually had gone to the right place

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links